import { EntityComponentTypes, EquipmentSlot } from "@minecraft/server";
import { decrementStackMainHand } from "../items/general";
export function crunchingSproutMechanics(crunchingSprout, player, itemStack) {
    const mainHand = player.getComponent(EntityComponentTypes.Equippable).getEquipmentSlot(EquipmentSlot.Mainhand);
    if (itemStack) {
        const itemTypeId = itemStack.type.id;
        if (itemTypeId === 'ptd_tcb:resin_fertilizer') {
            crunchingSprout.dimension.spawnEntity('ptd_tcb:crunching', crunchingSprout.center());
            crunchingSprout.dimension.playSound('item.bone_meal.use', crunchingSprout.center());
            crunchingSprout.setType('minecraft:air');
            decrementStackMainHand(mainHand, itemStack);
        }
    }
    return;
}
